org.rrd4j.core

## Class DataImporter

- java.lang.Object
- - org.rrd4j.core.DataImporter

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    RrdToolReader, XmlReader

      public abstract class DataImporter
      extends Object
      implements Closeable

  An abstract class to import data from external source.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataImporter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `abstract double` | `getAccumValue(int dsIndex)`
    `abstract int` | `getArcCount()`
    `abstract ConsolFun` | `getConsolFun(int arcIndex)`
    `abstract int` | `getDsCount()`
    `abstract String` | `getDsName(int dsIndex)`
    `abstract DsType` | `getDsType(int dsIndex)`
    `protected long` | `getEstimatedSize()`
    `abstract long` | `getHeartbeat(int dsIndex)`
    `abstract long` | `getLastUpdateTime()`
    `abstract double` | `getLastValue(int dsIndex)`
    `abstract double` | `getMaxValue(int dsIndex)`
    `abstract double` | `getMinValue(int dsIndex)`
    `abstract long` | `getNanSeconds(int dsIndex)`
    `abstract int` | `getRows(int arcIndex)`
    `abstract double` | `getStateAccumValue(int arcIndex, int dsIndex)`
    `abstract int` | `getStateNanSteps(int arcIndex, int dsIndex)`
    `abstract long` | `getStep()`
    `abstract int` | `getSteps(int arcIndex)`
    `abstract double[]` | `getValues(int arcIndex, int dsIndex)`
    `abstract String` | `getVersion()`
    `abstract double` | `getXff(int arcIndex)`
    `(package private) void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataImporter

          public DataImporter()

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getAccumValue

          public abstract double getAccumValue(int dsIndex)
                                        throws IOException

      Throws:
        `IOException`

    - #### getArcCount

          public abstract int getArcCount()
                                   throws IOException

      Throws:
        `IOException`

    - #### getConsolFun

          public abstract ConsolFun getConsolFun(int arcIndex)
                                          throws IOException

      Throws:
        `IOException`

    - #### getDsCount

          public abstract int getDsCount()
                                  throws IOException

      Throws:
        `IOException`

    - #### getDsName

          public abstract String getDsName(int dsIndex)
                                    throws IOException

      Throws:
        `IOException`

    - #### getDsType

          public abstract DsType getDsType(int dsIndex)
                                    throws IOException

      Throws:
        `IOException`

    - #### getEstimatedSize

          protected long getEstimatedSize()
                                   throws IOException

      Throws:
        `IOException`

    - #### getHeartbeat

          public abstract long getHeartbeat(int dsIndex)
                                     throws IOException

      Throws:
        `IOException`

    - #### getLastUpdateTime

          public abstract long getLastUpdateTime()
                                          throws IOException

      Throws:
        `IOException`

    - #### getLastValue

          public abstract double getLastValue(int dsIndex)
                                       throws IOException

      Throws:
        `IOException`

    - #### getMaxValue

          public abstract double getMaxValue(int dsIndex)
                                      throws IOException

      Throws:
        `IOException`

    - #### getMinValue

          public abstract double getMinValue(int dsIndex)
                                      throws IOException

      Throws:
        `IOException`

    - #### getNanSeconds

          public abstract long getNanSeconds(int dsIndex)
                                      throws IOException

      Throws:
        `IOException`

    - #### getRows

          public abstract int getRows(int arcIndex)
                               throws IOException

      Throws:
        `IOException`

    - #### getStateAccumValue

          public abstract double getStateAccumValue(int arcIndex,
                                                    int dsIndex)
                                             throws IOException

      Throws:
        `IOException`

    - #### getStateNanSteps

          public abstract int getStateNanSteps(int arcIndex,
                                               int dsIndex)
                                        throws IOException

      Throws:
        `IOException`

    - #### getStep

          public abstract long getStep()
                                throws IOException

      Throws:
        `IOException`

    - #### getSteps

          public abstract int getSteps(int arcIndex)
                                throws IOException

      Throws:
        `IOException`

    - #### getValues

          public abstract double[] getValues(int arcIndex,
                                             int dsIndex)
                                      throws IOException

      Throws:
        `IOException`

    - #### getVersion

          public abstract String getVersion()
                                     throws IOException

      Throws:
        `IOException`

    - #### getXff

          public abstract double getXff(int arcIndex)
                                 throws IOException

      Throws:
        `IOException`

    - #### release

          void release()
                throws IOException

      Throws:
        `IOException`